<script setup lang="ts">
import {useI18n} from 'vue-i18n'
import {useAromanianStore} from 'stores/aromanian-store'
import {onMounted, ref} from 'vue'
import {useRouter} from 'vue-router'
import MetaDialog from 'components/MetaDialog.vue'
import {useMacStore} from 'stores/mac-store'

onMounted(() => {
    source.value = filterMeta().source
})

const router = useRouter()
const {t} = useI18n()
const aromanianStore = useAromanianStore()
const macStore = useMacStore()
const source = ref<string>('')

const filterMeta = () => {
    if (router.currentRoute.value.params.lang === 'aromanian') {
        return aromanianStore.meta.filter(
            (item: any) => item.id === router.currentRoute.value.params.text_id
        )[0]
    } else {
        return macStore.meta_mac.filter(
            (item: any) => item.id === router.currentRoute.value.params.text_id
        )[0]
    }
}
</script>

<template>
    <q-page class="q-page-container">
        <q-btn color="primary" outline flat @click="router.go(-1)" class="q-ml-lg q-mt-lg">Go back</q-btn>
        <main class="q-page meta-page">
            <div class="text-primary doc-heading doc-h2 text-h4">{{ t('metadata.title') }} {{ source }}</div>
            <MetaDialog :meta="filterMeta()" />
        </main>
    </q-page>
</template>

<style>
.meta-page {
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}
</style>
